# GGraphic2d_CurveDefinitionError.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_GGraphic2d_CurveDefinitionError.hxx>`
`#include <Standard_SStream.hxx>`
`#include <Standard_OutOfRange.hxx>`

## Defines

#define | GGraphic2d_CurveDefinitionError_Raise_if(CONDITION, MESSAGE) if (CONDITION) GGraphic2d_CurveDefinitionError::Raise(MESSAGE);

## Define Documentation

#define GGraphic2d_CurveDefinitionError_Raise_if | ( | CONDITION,
|  | MESSAGE |  | ) | if (CONDITION) GGraphic2d_CurveDefinitionError::Raise(MESSAGE);